Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.ui
Class JRexMenuBarImpl

    java.lang.Object
      org.mozilla.jrex.ui.JRexMenuBarImpl

All Implemented Interfaces:
  JRexMenuBar

public class JRexMenuBarImpl
extends Object
implements JRexMenuBar

Class implementing JRexMenuBar interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `JRexMenuBar`

Constructor Summary
`JRexMenuBarImpl()` Don't use this function to create a JRexToolBar instance use JRexFactory.

Method Summary
`JMenuBar` | `getMenuBar()` Function to get the MenuBar.
`void` | `setBrowser(JRexCanvas browser)` Invoked to set the browser component associated with MenuBar.
`void` | `setMode(int mode)` Invoked to set the WindowManager MODE in use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRexMenuBarImpl

    public JRexMenuBarImpl()

  Don't use this function to create a JRexToolBar instance use JRexFactory.

See Also:
  `JRexFactory`

Method Detail

### setBrowser

    public void setBrowser(JRexCanvas browser)

  Description copied from interface: `JRexMenuBar`
  Invoked to set the browser component associated with MenuBar.

  Specified by:
    `setBrowser` in interface `JRexMenuBar`

### setMode

    public void setMode(int mode)

  Description copied from interface: `JRexMenuBar`
  Invoked to set the WindowManager MODE in use.

  Specified by:
    `setMode` in interface `JRexMenuBar`

### getMenuBar

    public JMenuBar getMenuBar()

  Description copied from interface: `JRexMenuBar`
  Function to get the MenuBar. The MenuBar will be based on WindowManager MODE.

  Specified by:
    `getMenuBar` in interface `JRexMenuBar`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.